com.sun.jna.platform.win32.COM

## Class COMInvokeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jna.platform.win32.COM.COMException
        - - com.sun.jna.platform.win32.COM.COMInvokeException

- All Implemented Interfaces:
    java.io.Serializable

      public class COMInvokeException
      extends COMException

  Exception class for error origination from an COM invoke
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `COMInvokeException()` Instantiates a new automation exception.
    `COMInvokeException(java.lang.String message)` Instantiates a new automation exception.
    `COMInvokeException(java.lang.String message, java.lang.Throwable cause)` Instantiates a new automation exception.
    `COMInvokeException(java.lang.String message, WinNT.HRESULT hresult, java.lang.Integer errorArg, java.lang.String description, java.lang.Integer helpContext, java.lang.String helpFile, java.lang.Integer scode, java.lang.String source, java.lang.Integer wCode)` Instantiates a new automation exception.
    `COMInvokeException(java.lang.Throwable cause)` Instantiates a new automation exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()`
    `java.lang.Integer` | `getErrorArg()` Gets the arg err.
    `java.lang.Integer` | `getHelpContext()`
    `java.lang.String` | `getHelpFile()`
    `java.lang.Integer` | `getScode()`
    `java.lang.String` | `getSource()`
    `java.lang.Integer` | `getWCode()`

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.COMException

      `getHresult, matchesErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### COMInvokeException

          public COMInvokeException()

      Instantiates a new automation exception.

    - #### COMInvokeException

          public COMInvokeException(java.lang.String message)

      Instantiates a new automation exception.
      Parameters:
        `message` - the message

    - #### COMInvokeException

          public COMInvokeException(java.lang.Throwable cause)

      Instantiates a new automation exception.
      Parameters:
        `cause` - the cause

    - #### COMInvokeException

          public COMInvokeException(java.lang.String message,
                                    java.lang.Throwable cause)

      Instantiates a new automation exception.
      Parameters:
        `message` - the message
        `cause` - the cause

    - #### COMInvokeException

          public COMInvokeException(java.lang.String message,
                                    WinNT.HRESULT hresult,
                                    java.lang.Integer errorArg,
                                    java.lang.String description,
                                    java.lang.Integer helpContext,
                                    java.lang.String helpFile,
                                    java.lang.Integer scode,
                                    java.lang.String source,
                                    java.lang.Integer wCode)

      Instantiates a new automation exception.
      Parameters:
        `message` - exception message
        `hresult` - hresult of the invoke call
        `errorArg` - the position of the argument that caused the error
        `description` - The exception description to display. If no description is available, use null.
        `helpContext` - The help context ID.
        `helpFile` - The fully qualified help file path. If no Help is available, use null.
        `scode` - A return value that describes the error. Either this field or wCode (but not both) must be filled in; the other must be set to 0. (16-bit Windows versions only.)
        `source` - The name of the exception source. Typically, this is an application name. This field should be filled in by the implementor of IDispatch.
        `wCode` - The error code. Error codes should be greater than 1000. Either this field or the scode field must be filled in; the other must be set to 0.

  - ### Method Detail

    - #### getErrorArg

          public java.lang.Integer getErrorArg()

      Gets the arg err.
      Returns:
        the arg err

    - #### getWCode

          public java.lang.Integer getWCode()

      Returns:
        The error code. Error codes should be greater than 1000. Either this field or the scode field must be filled in; the other must be set to 0. It is NULL if no exception info was created

    - #### getSource

          public java.lang.String getSource()

      Returns:
        The name of the exception source. Typically, this is an application name. This field should be filled in by the implementor of IDispatch. NULL if no exception info was created

    - #### getDescription

          public java.lang.String getDescription()

      Returns:
        The exception description to display. If no description is available, use null.

    - #### getHelpFile

          public java.lang.String getHelpFile()

      Returns:
        The fully qualified help file path. If no Help is available, use null.

    - #### getHelpContext

          public java.lang.Integer getHelpContext()

      Returns:
        The help context ID or NULL if not present

    - #### getScode

          public java.lang.Integer getScode()

      Returns:
        A return value that describes the error. Either this field or wCode (but not both) must be filled in; the other must be set to 0. (16-bit Windows versions only.) NULL if no exception info was created.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.